﻿using System.Windows;
using System.Windows.Input;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            #region 붙여넣기 마우스 바인딩(ALT+MIDDLE BUTTON)을 추가한다.

            MouseGesture pasteMouseGesture = new MouseGesture(MouseAction.MiddleClick, ModifierKeys.Alt);

            ApplicationCommands.Paste.InputGestures.Add(pasteMouseGesture);

            #endregion
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 명령 실행시 처리하기 - command_Executed(sender, e)

        /// <summary>
        /// 명령 실행시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void command_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            MessageBox.Show("명령이 호출되었습니다.");
        }

        #endregion
        #region 명령 실행 가능 여부 구하기 - command_CanExecute(sender, e)

        /// <summary>
        /// 명령 실행 가능 여부 구하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void command_CanExecute(object sender, CanExecuteRoutedEventArgs e)
        {
            e.CanExecute = true;
        }

        #endregion
    }
}